Subject: Re: Some information that git diff saves and that git status does not

From: Johannes Sixt <[email-masked]>
Date: Tue, 09 Mar 2010 07:35:47 +0100

Junio C Hamano schrieb:
> I didn't fully read what you wrote but after you copy a repository from
> one to another outside git (be it done with unison or rsync), you should
> run "update-index --refresh".

And the reason for this is that git also looks at the inode numbers, and I
guess that unison does not go as far as to preserve them between machines...

-- Hannes